3 306 тем в этом разделе

    • 3 503 ответа
    • 382 216 просмотров
    • 233 ответа
    • 52 828 просмотров
    • 890 ответов
    • 149 321 просмотр
    • 132 ответа
    • 105 807 просмотров
    • 226 ответов
    • 63 631 просмотр
    • 246 ответов
    • 46 001 просмотр
    • 218 ответов
    • 47 906 просмотров
    • 86 ответов
    • 39 338 просмотров
    • 1 ответ
    • 11 просмотров
    • 2 ответа
    • 83 просмотра
  1. cse

    • 3 ответа
    • 80 просмотров
    • 924 ответа
    • 97 877 просмотров
    • 7 ответов
    • 225 просмотров
    • 3 ответа
    • 134 просмотра
    • 8 ответов
    • 137 просмотров
    • 1 ответ
    • 70 просмотров
    • 754 ответа
    • 57 447 просмотров
    • 0 ответов
    • 38 просмотров
    • 3 ответа
    • 142 просмотра
    • 5 ответов
    • 554 просмотра
    • 41 ответ
    • 1 567 просмотров
    • 8 ответов
    • 335 просмотров
    • 22 ответа
    • 554 просмотра
    • 24 ответа
    • 9 233 просмотра
    • 4 ответа
    • 131 просмотр
    • 15 ответов
    • 479 просмотров
    • 0 ответов
    • 79 просмотров
    • 5 ответов
    • 259 просмотров
    • 100 ответов
    • 30 483 просмотра
    • 4 ответа
    • 166 просмотров
    • 16 ответов
    • 526 просмотров
    • 8 ответов
    • 474 просмотра
    • 0 ответов
    • 109 просмотров
    • 8 ответов
    • 2 296 просмотров
    • 1 ответ
    • 159 просмотров
    • 71 ответ
    • 22 309 просмотров
    • 21 ответ
    • 2 391 просмотр
    • 119 ответов
    • 9 963 просмотра
    • 3 ответа
    • 127 просмотров
    • 0 ответов
    • 66 просмотров
    • 5 ответов
    • 333 просмотра
    • 9 ответов
    • 2 934 просмотра
    • 58 ответов
    • 6 814 просмотра
    • 8 ответов
    • 748 просмотров
    • 3 ответа
    • 123 просмотра
    • 0 ответов
    • 103 просмотра
    • 2 ответа
    • 123 просмотра
    • 2 ответа
    • 144 просмотра
    • 17 ответов
    • 3 085 просмотров
    • 6 ответов
    • 185 просмотров
  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Сообщения

    • lexincton
      Если адрес плоскостей стандартный поместите перед выводом кругового перемещения: MOM_enable_address G_plane MOM_force once G_plane   PS: G_plane конечно должен присутствовать в кадре кругового движения
    • lexincton
      1 человек ~1,5-3 недели работы с момента получения 3D модели станка = пост + верификатор Пост и верификатор сравнительно простые -  3-осевой токарно-фрезерный, с усложнением на разделение в 3 канала и реализацией точек синхронизации На видео отладочную инфу забыли убрать в виде mom_run_number = ... поэтому видео прервано перед ошибкой @Ug_user Как человеку прожженому должно быть известно, что в подобных примерах есть проблема в драйвере по управлению ЗвПО (по крайней мере в недавних версиях)-при перемещении ЗвПО в разные стороны
    • SHARit
      Дядя Лобзик, ты дурак?
    • ChipX
    • Mrt23
      Ну извините, уважаемый @lobzik, мы не избалованы...)
    • Brain (Pinkies friend)
      Доброго времени суток! Имею задачу найти на выделенных листах объекты типа NXOpen.Annotations.IdSymbol. Выделенные листы получаю через UI.GetUI().SelectionManager.GetSelectedTaggedObject(i), где они NXOpen.View. Для поиска объектов использую AskVisibleObjects(), который ругается на все неактивные листы (DrawingSheet). На просторах сети нашёл решение, использующее "костыль" в виде открывания  листа и поиска объектов в нём. Подскажите, пожалуйста как зная вид получить ссыль на конкретный лист, зная вид. Ну или другой путь решения. Собственно, код:
        private void button1_Click(object sender, EventArgs e) { int SelectedObjNum = UI.GetUI().SelectionManager.GetNumSelectedObjects(); for (int i = 0; i <= SelectedObjNum - 1; i++) { NXOpen.NXObject selectedObject = (NXOpen.NXObject)UI.GetUI().SelectionManager.GetSelectedTaggedObject(i);//UI.GetUI().SelectionManager.GetSelectedObject(0); NXOpen.View drawingView = (NXOpen.View)selectedObject; if (selectedObject != null) { DisplayableObject[] displayableObjects = drawingView.AskVisibleObjects(); foreach (DisplayableObject disobj in displayableObjects) { if (disobj.GetType().ToString() == "NXOpen.Annotations.IdSymbol") { listBox1.Items.Add("___"); NXOpen.Annotations.IdSymbol symObject = (NXOpen.Annotations.IdSymbol)disobj; AddSymInfOnList(symObject); } } } } }  
    • LxCoder
      Товарищ LxCoder ничего не утверждает и, уж тем более, не навязывает. Делайте как вашей душе угодно, и как Вам понятнее... Нравится изобретать велосипед заново - дело Ваше. Есть косой десяток способов сделать одно и то же.   Именно. Я половины не понял, что вы понаписали и для чего вам все эти фельдиперсовые функции. Углы можно рассчитать один из другого - абсолютно любые, если понимать, что хочется получить на выходе. В G-Post математический аппарат с большим количеством параметров, настроек - он вполне достаточен (по моему личному мнению) для успешного решения 99% реальных задач. Для 1% скорее всего придется использовать некоторые свои формулы преобразования (например, для станков с не вполне обычной геометрией расположения осей, например, как в DMU 160, где угловая голова расположена под 45 градусов к оси Z...).
    • Sergei
    • lexx174
      да давно,в авиапроме в этом плане неплохо продвинулись,и в плане стандартов тоже
    • lobzik
      Если Вам заработанного на этих операциях хватает на жизнь, и Вы еще можете, к примеру, делать какие то накопления - то это не демпинг.